//
//  GMTDAuthorizationContext.h
//  Google Ridesharing SDK for iOS
//
//  Copyright 2021 Google LLC
//
//  Usage of this SDK is subject to the Google Maps/Google Earth APIs Terms of
//  Service: https://cloud.google.com/maps-platform/terms
//

#import <Foundation/Foundation.h>

#import "GMTSFleetEngineIDString.h"
#import "GMTSImmutableData.h"

NS_ASSUME_NONNULL_BEGIN

/** An immutable object representing the context needed to fetch an auth token. */
@interface GMTDAuthorizationContext : GMTSImmutableData

/** The ID of the vehicle to fetch an auth token for. */
@property(nonatomic, readonly) GMTSFleetEngineIDString *vehicleID;

/** The ID of the task to fetch an auth token for. */
@property(nonatomic, readonly, nullable) GMTSFleetEngineIDString *taskID;

/** This class has no public initializers. */
- (null_unspecified instancetype)init NS_UNAVAILABLE;

@end

NS_ASSUME_NONNULL_END
