//
//  GMTDDeliveryVehicle.h
//  Google Ridesharing SDK for iOS
//
//  Copyright 2021 Google LLC
//
//  Usage of this SDK is subject to the Google Maps/Google Earth APIs Terms of
//  Service: https://cloud.google.com/maps-platform/terms
//

#import <Foundation/Foundation.h>

#import "GMTSFleetEngineIDString.h"
#import "GMTSImmutableData.h"

@class GMTDVehicleStop;

NS_ASSUME_NONNULL_BEGIN

/** An immutable object representing a delivery vehicle. */
@interface GMTDDeliveryVehicle : GMTSImmutableData

/** The ID of the vehicle. */
@property(nonatomic, readonly) GMTSFleetEngineIDString *vehicleID;

/** The name of the vehicle. */
@property(nonatomic, readonly) NSString *vehicleName;

/** The provider of the vehicle. */
@property(nonatomic, readonly) NSString *providerID;

/** The stops assigned to this vehicle. */
@property(nonatomic, readonly, nullable) NSArray<GMTDVehicleStop *> *vehicleStops;

/** This class will only be initialized internally with response data from Fleet Engine. */
- (instancetype)init NS_UNAVAILABLE;
+ (instancetype)new NS_UNAVAILABLE;

@end
NS_ASSUME_NONNULL_END
