//
//  GMTSFleetEngineIDString.h
//  Google Ridesharing SDK for iOS
//
//  Copyright 2022 Google LLC
//
//  Usage of this SDK is subject to the Google Maps/Google Earth APIs Terms of
//  Service: https://cloud.google.com/maps-platform/terms
//

@class NSString;

/**
 * \defgroup GMTSFleetEngineIDString GMTSFleetEngineIDString
 * @{
 */

/**
 * Specifies an ID field that is of type String.
 *
 * The SDK receives string data from other APIs and passes that data unmodified to Fleet
 * Engine. However, Fleet Engine requires that some string-typed data conform to specific rules.
 * Data passed through the SDK to Fleet Engine can result in request failure if the data format
 * does not conform to Fleet Engine rules. To prevent request failures to Fleet Engine, use this
 * typedef to identify which fields from incoming calls must follow the following formatting
 * rules:
 * <ul>
 *   <li>The string must be a valid UTF-8 string in UTF normalized form C (see
 *       http://www.unicode.org/reports/tr15/).
 *   <li>The string must be no longer than 64 characters in length.
 *   <li>The string must not contain the characters '/', ':', '?', ',', or '#'.
 * </ul>
 *
 * You are responsible for ensuring that when your client makes calls to Fleet Engine SDKs,
 * ID strings conform to the restrictions above. The SDK itself will pass the input values
 * unmodified to the backend.
 */
typedef NSString GMTSFleetEngineIDString;

/**@}*/
