//
//  GMTSImmutableData.h
//  Google Ridesharing SDK for iOS
//
//  Copyright 2021 Google LLC
//
//  Usage of this SDK is subject to the Google Maps/Google Earth APIs Terms of
//  Service: https://cloud.google.com/maps-platform/terms
//

#import <Foundation/Foundation.h>

/**
 * A base class of immutable data, subclass must implement the @c isEqual: and @c hash of the
 * NSObject protocol.
 */
@interface GMTSImmutableData : NSObject <NSCopying, NSSecureCoding>
@end
