//
//  GMTSRequestHeader.h
//  Google Ridesharing SDK for iOS
//
//  Copyright 2021 Google LLC
//
//  Usage of this SDK is subject to the Google Maps/Google Earth APIs Terms of
//  Service: https://cloud.google.com/maps-platform/terms
//

#import "GMTSImmutableData.h"

NS_ASSUME_NONNULL_BEGIN

/**
 * A request header object contains common fields for a request.
 */
@interface GMTSRequestHeader : GMTSImmutableData

/**
 * Generates and returns a default header object.
 */
+ (instancetype)defaultHeader;

/**
 * Initialize an instance of GMTSRequestHeader is unavailable, Use @c defaultHeader: to get an
 * instance.
 */
- (instancetype)init NS_UNAVAILABLE;

@end

NS_ASSUME_NONNULL_END
