//
//  GMTSTripPropertyField.h
//  Google Ridesharing SDK for iOS
//
//  Copyright 2021 Google LLC
//
//  Usage of this SDK is subject to the Google Maps/Google Earth APIs Terms of
//  Service: https://cloud.google.com/maps-platform/terms
//
#import <Foundation/Foundation.h>

NS_ASSUME_NONNULL_BEGIN

/**
 * \defgroup GMTSTripPropertyFields GMTSTripPropertyFields
 * @{
 */

/**
 * Indicates each property in the Trip object. For populating the difference generated by @c
 * differentPropertiesBetween:and:
 */
typedef NS_OPTIONS(NSUInteger, GMTSTripPropertyFields) {
  GMTSTripPropertyFieldNone = 0,
  GMTSTripPropertyFieldTripName = 1,
  GMTSTripPropertyFieldVehicleID = 1 << 1,
  GMTSTripPropertyFieldTripType = 1 << 2,
  GMTSTripPropertyFieldTripStatus = 1 << 3,
  GMTSTripPropertyFieldPickupLocation = 1 << 4,
  GMTSTripPropertyFieldPickupTime = 1 << 5,
  GMTSTripPropertyFieldDropoffLocation = 1 << 6,
  GMTSTripPropertyFieldDropoffTime = 1 << 7,
  GMTSTripPropertyFieldRouteLastVehicleLocation = 1 << 8,
  GMTSTripPropertyFieldNumberOfPassengers = 1 << 9,
  GMTSTripPropertyFieldRemainingWaypoints = 1 << 10,
  GMTSTripPropertyFieldIntermediateDestinations = 1 << 11,
  GMTSTripPropertyFieldIntermediateDestinationIndex = 1 << 12,
  GMTSTripPropertyFieldRemainingDistanceOfActiveRouteInMeters = 1 << 13,
  GMTSTripPropertyFieldDistanceOfRemainingRouteInMeters = 1 << 14,
  GMTSTripPropertyFieldActiveRoute = 1 << 15,
  GMTSTripPropertyFieldActiveRouteTraffic = 1 << 16,
  GMTSTripPropertyFieldRemainingRoute = 1 << 17,
  GMTSTripPropertyFieldRemainingRouteTraffic = 1 << 18,
};

/**@}*/

NS_ASSUME_NONNULL_END
