//
//  GMTSWaypoint.h
//  Google Ridesharing SDK for iOS
//
//  Copyright 2021 Google LLC
//
//  Usage of this SDK is subject to the Google Maps/Google Earth APIs Terms of
//  Service: https://cloud.google.com/maps-platform/terms
//

#import "GMTSImmutableData.h"

@class GMTSLatLng;

NS_ASSUME_NONNULL_BEGIN

/**
 * Object representing an intermediate point along a route.
 */
@interface GMTSWaypoint : GMTSImmutableData

/**
 * The latitude and longitude associated with the waypoint.
 */
@property(nonatomic, readonly, copy, nullable) GMTSLatLng *latLng;

/**
 * Instantiates the object.
 *
 * @param latLng  The latitude and longitude associated with the waypoint.
 */
- (instancetype)initWithLatLng:(nullable GMTSLatLng *)latLng;

/**
 * Use @c initWithLatLng:.
 */
- (instancetype)init NS_UNAVAILABLE;

@end

NS_ASSUME_NONNULL_END
